Bug 981927 - [abrt] evolution-3.8.3-2.fc19: camel_db_add_to_transaction: Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
[abrt] evolution-3.8.3-2.fc19: camel_db_add_to_transaction: Process /usr/bin/...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
abrt_hash:6c450513858a9d74eb0cdc29928...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 00:16 EDT by Ryan
Modified: 2015-02-17 10:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:55:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan 2013-07-07 00:16:16 EDT
Description of problem:
removed an imap+ account from evolution, already had another account configured

Version-Release number of selected component:
evolution-3.8.3-2.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/evolution
core_backtrace: 
crash_function: camel_db_add_to_transaction
executable:     /usr/bin/evolution
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jul  7 11:59:21 stealthterminal abrt[25216]: Saved core dump of pid 25158 (/usr/bin/evolution) to /var/tmp/abrt/ccpp-2013-07-07-11:59:18-25158 (281264128 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 camel_db_add_to_transaction at camel-db.c:746
 #5 camel_db_create_message_info_table at camel-db.c:1335
 #6 camel_db_prepare_message_info_table at camel-db.c:1610
 #7 camel_folder_summary_load_from_db at camel-folder-summary.c:2426
 #8 camel_imapx_summary_new at camel-imapx-summary.c:171
 #9 camel_imapx_folder_new at camel-imapx-folder.c:1224
 #10 get_folder_offline at camel-imapx-store.c:443
 #11 imapx_store_get_folder_sync at camel-imapx-store.c:1333
 #12 camel_store_get_folder_sync at camel-store.c:1929
 #13 store_get_folder_thread at camel-store.c:465
Comment 1 Milan Crha 2013-07-08 06:19:19 EDT
Thanks for a bug report. it seems the account you removed was still in use by some underlying procedures. Unfortunately, the ABRT failed to attach the actual backtrace. In case the account wasn't removed, or you have the ABRT report still available, could you try to attach here the backtrace, please?
Comment 2 Ryan 2013-07-09 00:29:11 EDT
removed an imap+ account from evolution, already had another account configured

reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/evolution
core_backtrace: 
crash_function: camel_db_add_to_transaction
executable:     /usr/bin/evolution
kernel:         3.9.8-300.fc19.x86_64
package:        evolution-3.8.3-2.fc19
reason:         Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            1000
Comment 3 Ryan 2013-07-09 00:31:51 EDT
re-submitted trace, if you need the core dump, let me know
Comment 4 Milan Crha 2013-07-09 07:53:48 EDT
Thanks for the update. The ABRT seems to try to be smart, and didn't attach the actual backtrace, while it should attach one. The comment #0 mentions:
> Saved core dump of pid 25158 (/usr/bin/evolution) to /var/tmp/abrt/ccpp-
> 2013-07-07-11:59:18-25158 (281264128 bytes)

I guess somewhere around that folder, if ABRT doesn't copy it elsewhere, might be available actual 'backtrace' file, with the backtrace itself (check its content, if you'll find it), or maybe the ABRT UI allows to see and copy the backtrace? I do not use that UI at all, I'm sorry.

Core files are good when the machines use the same environment (with respect of installed packages), but once the package versions are different, the backtrace generated from the core file will be garbled and misleading, thus I'd rather get the backtrace itself.

Which reminded me, in case ABRT didn't install then for you, please install debuginfo packages at least for evolution-data-server and evolution, of the same version as your binary packages are. Thanks in advance.
Comment 5 Fedora Admin XMLRPC Client 2014-09-04 10:29:01 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2015-01-09 13:43:43 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-17 10:55:28 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.